Skip to main content

Update Lease: Propertyware REST

PUThttps://api.propexo.com/v1/leases/propertyware_rest/:lease_id
MethodInterface
PUT /v1/leasesLeases

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    unit_idstring

    The Propexo unique identifier for the unit

    primary_contact_idstring

    The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo

    tenant_idsstring[]

    An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID

    start_datestring

    The start date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    move_in_datestring

    The move-in date associated with the lease. This must come before move_out_date

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    move_out_datestring

    The move-out date associated with the lease. This must come before move_in_date

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    scheduled_move_out_datestring

    The scheduled move-out date associated with the lease. This must come before move_in_date

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    statusstring

    The status associated with the lease

    Show 5 enum values
    DraftActiveActive - Notice GivenTerminatedEviction
    rent_amount_in_centsinteger

    The rent amount in cents for the lease

    Possible values: >= 0

    notesstring

    Notes associated with the lease

    signature_datestring

    The signature date of the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    deposit_amount_in_centsinteger

    The deposit amount in cents associated with the lease

    Possible values: >= 0

    deposit_charge_datestring

    The deposit date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lease_idstringrequired

    The Propexo unique identifier for the lease

    unit_idstring

    The Propexo unique identifier for the unit

    primary_contact_idstring

    The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo

    tenant_idsstring[]
    start_datestring

    The start date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestring

    The end date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    move_in_datestring

    The move-in date associated with the lease. This must come before move_out_date

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    move_out_datestring

    The move-out date associated with the lease. This must come before move_in_date

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    scheduled_move_out_datestring

    The scheduled move-out date associated with the lease. This must come before move_in_date

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    statusstring

    The status associated with the lease

    Show 5 enum values
    DraftActiveActive - Notice GivenTerminatedEviction
    rent_amount_in_centsinteger

    The rent amount in cents for the lease

    Possible values: >= 0

    notesstring

    Notes associated with the lease

    signature_datestring

    The signature date of the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    deposit_amount_in_centsinteger

    The deposit amount in cents associated with the lease

    Possible values: >= 0

    deposit_charge_datestring

    The deposit date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/propertyware_rest/:lease_id
curl -X PUT https://api.propexo.com/v1/leases/propertyware_rest/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"unit_id": "string",
"primary_contact_id": "string",
"tenant_ids": [
"string"
],
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"move_in_date": "2024-07-29T15:51:28.071Z",
"move_out_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"status": "Draft",
"rent_amount_in_cents": 0,
"notes": "string",
"signature_date": "2024-07-29T15:51:28.071Z",
"deposit_amount_in_cents": 0,
"deposit_charge_date": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"unit_id": "string",
"primary_contact_id": "string",
"tenant_ids": [
"string"
],
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"move_in_date": "2024-07-29T15:51:28.071Z",
"move_out_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"status": "Draft",
"rent_amount_in_cents": 0,
"notes": "string",
"signature_date": "2024-07-29T15:51:28.071Z",
"deposit_amount_in_cents": 0,
"deposit_charge_date": "2024-07-29T15:51:28.071Z"
}
}